%define modname	Sort-Versions
Name:           perl-%{modname}
Version:        1.5
Release:        1.10
Summary:        A perl 5 module for sorting of revision (and similar) numbers
Requires:       perl = %{perl_version}
BuildRequires:  perl
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root

%description
This module allows easy sorting (via comparisons) of mixed text and numeric
strings, similar to the complex "version numbers" that many revision control
packages and shared library systems use.

Authors:
--------
    Ed Avis <ed@membled.com>
    Matt Johnson <mwj99@doc.ic.ac.uk>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README Changes
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Sort
%{perl_vendorarch}/auto/Sort
/var/adm/perl-modules/%{name}

%changelog

* Tue Sep 12 2006 - James Oakley <jfunk@funktronics.ca> - 1.5-1
- Initial release
